# SAM Annotator Documentation

Welcome to the documentation for SAM Annotator, a general-purpose image annotation tool based on the Segment Anything Model (SAM).

## Table of Contents

- [Getting Started](#getting-started)
- [User Guide](#user-guide)
- [Advanced Features](#advanced-features)
- [API Reference](#api-reference)
- [Development](#development)

## Getting Started

SAM Annotator is a powerful tool that allows you to annotate images using the Segment Anything Model. To get started:

```bash
# Install SAM Annotator
pip install sam-annotator

# Launch the annotator
sam_annotator /path/to/images
```

## User Guide

- [**Keyboard Shortcuts**](shortcuts.md): Complete guide to keyboard shortcuts for efficient annotation
- [**Loading and Saving Annotations**](loading_saving.md): How annotations are stored and loaded
- [**Annotation Formats**](annotation_formats.md): Details on supported export formats
- [**Configuration Options**](configuration.md): Command-line arguments and configuration settings
- [**Implementation Details**](implementation.md): Technical details about how SAM Annotator works

## Advanced Features

- [Customizing the Annotation Process](placeholder.md) (coming soon)
- [Working with Large Datasets](placeholder.md) (coming soon)
- [Integration with Other Tools](placeholder.md) (coming soon)

## API Reference

SAM Annotator can also be used programmatically through its Python API:

- [**API Reference Guide**](api_reference.md): Comprehensive documentation of the SAM Annotator API
- [Core Components](placeholder.md) (coming soon)
- [Annotations Management](placeholder.md) (coming soon)
- [Model Integration](placeholder.md) (coming soon)

## Development

- [Contributing Guidelines](placeholder.md) (coming soon)
- [Building from Source](placeholder.md) (coming soon)
- [Architecture Overview](placeholder.md) (coming soon)

## Repository

The source code is available on GitHub: [pavodi-nm/sam_annotator](https://github.com/pavodi-nm/sam_annotator)

## License

SAM Annotator is available under the MIT License. See the LICENSE file for more details. 